{
	"format_version": "1.8.0",
	"animations": {
		"animation.tsu_morph.squid.move": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"bodyMorph": {
					"position": [0, "query.is_baby ? 3.2 : 6.4", 0]
				},
				"tentacle1": {
					"rotation": ["variable.tentacle_angle - this", "90.0 - this", 0]
				},
				"tentacle2": {
					"rotation": ["variable.tentacle_angle - this", "45.0 - this", 0]
				},
				"tentacle3": {
					"rotation": ["variable.tentacle_angle - this", "0.0 - this", 0]
				},
				"tentacle4": {
					"rotation": ["variable.tentacle_angle - this", "-45.0 - this", 0]
				},
				"tentacle5": {
					"rotation": ["variable.tentacle_angle - this", "-90.0 - this", 0]
				},
				"tentacle6": {
					"rotation": ["variable.tentacle_angle - this", "-135.0 - this", 0]
				},
				"tentacle7": {
					"rotation": ["variable.tentacle_angle - this", "-180.0 - this", 0]
				},
				"tentacle8": {
					"rotation": ["variable.tentacle_angle - this", "-225.0 - this", 0]
				}
			}
		},
		"animation.tsu_morph.squid.rotate": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"bodyMorph": {
					"rotation": ["90+q.body_x_rotation", 0, 0]
				}
			}
		},
		"animation.tsu_morph.squid.on_land": {
			"loop": true,
			"bones": {
				"bodyMorph": {
					"rotation": [90, 0, 0],
					"position": [0, 6, 0]
				}
			}
		}
	}
}